package com.mayi.fastdevelop.bean;

import java.io.Serializable;

/**
 * 用户信息
 */
public class UserInfo implements Serializable{

    private String userId;                      //用户ID
    private String token;                       //会话token
    private String phone;                       //手机号
    private String upDtatUrl;                   //APP更新地址
    private String headAddress;                 //头像地址
    private String address;                     //详细地址
    private String provinceCode;                //省ID
    private String provinceName;                //省名称
    private String cityCode;                    //市ID
    private String cityName;                    //市名称
    private String areaCode;                    //区ID
    private String areaName;                    //区名称
    private String email;                       // 邮箱
    private String nickName;                    // 昵称
    private String age;                         // 年龄
    private String gender;                      // 性别 male(男)/female（女）
    private String status;                      // 帐号状态
    private String qcord;                       // 二维码字段
    private String qcordImg;                    // 二维码图片
    private String other1;                      //备用字段1
    private String other2;                      //备用字段2
    private String other3;                      //备用字段3
    private String other4;                      //备用字段4
    private String other5;                      //备用字段5
    private String other6;                      //备用字段6
    private String other7;                      //备用字段7
    private String other8;                      //备用字段8
    private String other9;                      //备用字段9
    private String other10;                     //备用字段10

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUpDtatUrl() {
        return upDtatUrl;
    }

    public void setUpDtatUrl(String upDtatUrl) {
        this.upDtatUrl = upDtatUrl;
    }

    public String getHeadAddress() {
        return headAddress;
    }

    public void setHeadAddress(String headAddress) {
        this.headAddress = headAddress;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getQcord() {
        return qcord;
    }

    public void setQcord(String qcord) {
        this.qcord = qcord;
    }

    public String getQcordImg() {
        return qcordImg;
    }

    public void setQcordImg(String qcordImg) {
        this.qcordImg = qcordImg;
    }

    public String getOther1() {
        return other1;
    }

    public void setOther1(String other1) {
        this.other1 = other1;
    }

    public String getOther2() {
        return other2;
    }

    public void setOther2(String other2) {
        this.other2 = other2;
    }

    public String getOther3() {
        return other3;
    }

    public void setOther3(String other3) {
        this.other3 = other3;
    }

    public String getOther4() {
        return other4;
    }

    public void setOther4(String other4) {
        this.other4 = other4;
    }

    public String getOther5() {
        return other5;
    }

    public void setOther5(String other5) {
        this.other5 = other5;
    }

    public String getOther6() {
        return other6;
    }

    public void setOther6(String other6) {
        this.other6 = other6;
    }

    public String getOther7() {
        return other7;
    }

    public void setOther7(String other7) {
        this.other7 = other7;
    }

    public String getOther8() {
        return other8;
    }

    public void setOther8(String other8) {
        this.other8 = other8;
    }

    public String getOther9() {
        return other9;
    }

    public void setOther9(String other9) {
        this.other9 = other9;
    }

    public String getOther10() {
        return other10;
    }

    public void setOther10(String other10) {
        this.other10 = other10;
    }
}
